GetbeelDocs

List fixed assets (cespiti)

Newest purchase first, each with its tax depreciation schedule, status, fondo and residual at the end of year (default: this year).

GET
/fixed-assets

Newest purchase first, each with its tax depreciation schedule, status, fondo and residual at the end of year (default: this year).

Authorization

apiKey
headerAuthorizationBearer <token>

API key: gb_test_… or gb_live_…

Query Parameters

limit?integer

Page size, 1–100

Range1 <= value <= 100
Default20
cursor?string

next_cursor of the previous page

Length1 <= length <= 200
year?integer

Status, fondo and residual at the end of this year (default: this year)

Range2000 <= value <= 2100

Header Parameters

Getbeel-Company?string

Act on one of the account's client companies (its id from GET /companies) instead of the key's own account. 404 company_not_found when the key cannot act on it.

Formatuuid

Response Body

OK

application/json
  1. response
object*string
data*array<>
has_more*boolean
next_cursor*string|null
Example Request
curl -X GET 'https://www.getbeel.com/api/v1/fixed-assets'
Example Response
{  "object": "list",  "data": [    {      "id": "string",      "object": "fixed_asset",      "name": "string",      "kind": "tangible",      "category_code": "string",      "category_label": "string",      "category_note": "string",      "coefficient": 0,      "cost": "122.00",      "purchase_date": "2026-10-29",      "in_service_date": "2026-10-29",      "first_year_half": true,      "expense_in_full": true,      "small_asset": true,      "depreciation_overrides": {        "property1": "122.00",        "property2": "122.00"      },      "received_invoice_id": "string",      "supplier_name": "string",      "document_number": "string",      "notes": "string",      "status": "not_in_service",      "as_of_year": -9007199254740991,      "accumulated_depreciation": "122.00",      "residual_value": "122.00",      "schedule": [        {          "year": -9007199254740991,          "max_amount": "122.00",          "amount": "122.00",          "accumulated": "122.00",          "residual": "122.00",          "kind": "depreciation",          "overridden": true        }      ],      "disposal": {        "date": "2026-10-29",        "price": "122.00",        "residual": "122.00",        "gain": "122.00"      },      "warnings": [        "string"      ],      "created_at": "2019-08-24T14:15:22Z",      "updated_at": "2019-08-24T14:15:22Z"    }  ],  "has_more": true,  "next_cursor": "string"}